package mhp.oee.po.gen;

import java.util.Date;

public class ResourcePlcPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.PLC_ADDRESS
     *
     * @mbggenerated
     */
    private String plcAddress;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.PLC_VALUE
     *
     * @mbggenerated
     */
    private String plcValue;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.CATEGORY
     *
     * @mbggenerated
     */
    private String category;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.PLC_OBJECT
     *
     * @mbggenerated
     */
    private String plcObject;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.LOG_PATH
     *
     * @mbggenerated
     */
    private String logPath;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_plc.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.HANDLE
     *
     * @return the value of resource_plc.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.HANDLE
     *
     * @param handle the value for resource_plc.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.SITE
     *
     * @return the value of resource_plc.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.SITE
     *
     * @param site the value for resource_plc.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.RESOURCE_BO
     *
     * @return the value of resource_plc.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.RESOURCE_BO
     *
     * @param resourceBo the value for resource_plc.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.PLC_ADDRESS
     *
     * @return the value of resource_plc.PLC_ADDRESS
     *
     * @mbggenerated
     */
    public String getPlcAddress() {
        return plcAddress;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.PLC_ADDRESS
     *
     * @param plcAddress the value for resource_plc.PLC_ADDRESS
     *
     * @mbggenerated
     */
    public void setPlcAddress(String plcAddress) {
        this.plcAddress = plcAddress == null ? null : plcAddress.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.PLC_VALUE
     *
     * @return the value of resource_plc.PLC_VALUE
     *
     * @mbggenerated
     */
    public String getPlcValue() {
        return plcValue;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.PLC_VALUE
     *
     * @param plcValue the value for resource_plc.PLC_VALUE
     *
     * @mbggenerated
     */
    public void setPlcValue(String plcValue) {
        this.plcValue = plcValue == null ? null : plcValue.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.CATEGORY
     *
     * @return the value of resource_plc.CATEGORY
     *
     * @mbggenerated
     */
    public String getCategory() {
        return category;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.CATEGORY
     *
     * @param category the value for resource_plc.CATEGORY
     *
     * @mbggenerated
     */
    public void setCategory(String category) {
        this.category = category == null ? null : category.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.PLC_OBJECT
     *
     * @return the value of resource_plc.PLC_OBJECT
     *
     * @mbggenerated
     */
    public String getPlcObject() {
        return plcObject;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.PLC_OBJECT
     *
     * @param plcObject the value for resource_plc.PLC_OBJECT
     *
     * @mbggenerated
     */
    public void setPlcObject(String plcObject) {
        this.plcObject = plcObject == null ? null : plcObject.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.DESCRIPTION
     *
     * @return the value of resource_plc.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.DESCRIPTION
     *
     * @param description the value for resource_plc.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.LOG_PATH
     *
     * @return the value of resource_plc.LOG_PATH
     *
     * @mbggenerated
     */
    public String getLogPath() {
        return logPath;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.LOG_PATH
     *
     * @param logPath the value for resource_plc.LOG_PATH
     *
     * @mbggenerated
     */
    public void setLogPath(String logPath) {
        this.logPath = logPath == null ? null : logPath.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.CREATED_DATE_TIME
     *
     * @return the value of resource_plc.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_plc.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.MODIFIED_DATE_TIME
     *
     * @return the value of resource_plc.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resource_plc.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_plc.MODIFIED_USER
     *
     * @return the value of resource_plc.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_plc.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_plc.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}